From: <a href="/blend/av.cgi?id=23">Kirk</a><BR>
Date: 13 September 2004<P>

Boy, slow weekend here on the board...<BR>
<BR>
I guess I'll always breathe a sigh of relief when Sep 11th goes by and nothing happens...<BR>
<BR>
Went to UU church this morning...I've been going pretty regularly all summer.  Funny though, the rest of the year may well be MUCH more attended than the summer was...anyway, they had an interesting "water ceremony, where church members were invited to bring in a bit of water that represented their summer trips etc...if I had known about it I mighta brought some from Cleveland. Instead I brought in one of the bottles of aquafina I've been buying by the pack lately...I never did that in my old life w/ mo...(I think the tap water tasted better there) So it was kind of a symbol of my summer and my new life in a new apartment, not a house, and without Mo.
<HR>
From: <a href="/blend/av.cgi?id=74">Echolocation</a><BR>
Date: 13 September 2004<P>

Hehehe, I turned out to be a Love Geek (RPIT).  I am weirdly sexy and a ravenous eater.  Sounds like me all right LOL!!  <BR>
<BR>
So far I've seen the results on a lot of people I know and it's surprisingly on target.  I also like the explanation of how he developed the quizzes ("Try not to rip off Meyers-Briggs too bad" among other things).
<HR>
From: <a href="/blend/av.cgi?id=74">Echolocation</a><BR>
Date: 13 September 2004<P>

Whew.  I just took a brief glance at the Politics Board (PB) and am inspired to offer a hearty "Thank you" to those who suggested the PB and to Kirk for implementing.  The temperature over there has skyrocketed; it's lovely to be able to come here and cool down (or should I say, experience a different kind of passion?!).  <BR>
<BR>
And of course kudos to all the BB'ers for honoring the topic segregation and keeping this board focused on love and romance :)  Let's have more of that!!
<HR>
From: <a href="/blend/av.cgi?id=1176">aparajita</a><BR>
Date: 13 September 2004<P>

echo:  i'm all for love and romance... where do i sign up??<BR>

<HR>